# shm_has_var

(PHP 5 >= 5.3.0, PHP 7)

shm_has_var — Check whether a specific entry exists

### Description

shm_has_var ( resource `$shm_identifier` , int `$variable_key` ) : bool

Checks whether a specific key exists inside a shared memory segment.

### Parameters

`shm_identifier`

  Shared memory segment, obtained from shm_attach().

`variable_key`

  The variable key.

### Return Values

Returns `TRUE` if the entry exists, otherwise `FALSE`

### See Also

- shm_get_var() - Returns a variable from shared memory
- shm_put_var() - Inserts or updates a variable in shared memory